FROM golang:latest
ARG BINAME=crawler-linux-arm64-0.0.0_1
RUN go run github.com/playwright-community/playwright-go/cmd/playwright@v0.4001.0 install --with-deps
#RUN go run github.com/playwright-community/playwright-go/cmd/playwright@v0.4001.0 install --with-deps
#RUN playwright install --with-deps
COPY ./bin/${BINAME} /usr/bin/crawler
RUN mkdir /app
WORKDIR /app

ENTRYPOINT crawler
